Skip to main content
POST
/
v1
/
integrations
/
{integrationIdentifier}
/
mobile-link
TypeScript
import { Novu } from "@novu/api";

const novu = new Novu({
  secretKey: "YOUR_SECRET_KEY_HERE",
});

async function run() {
  const result = await novu.integrations.createMobileLink({
    subscriberId: "subscriber-123",
  }, "<value>");

  console.log(result);
}

run();
{
  "token": "<string>",
  "url": "<string>",
  "expiresAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

integrationIdentifier
string
required

Body

application/json
subscriberId
string

Optional subscriber to link via /start deep link after mobile setup completes. When provided, the consume response may include a ready-to-open Telegram deep link.

Example:

"subscriber-123"

Response

OK

token
string
required

Opaque, single-use token identifying this Telegram mobile-setup session

url
string
required

Absolute URL the user can open on a mobile device to complete Telegram setup

expiresAt
string
required

ISO-8601 timestamp at which the token expires